""" 
Line Scan with 2 writables and triggering
"""

index=0 

def BeforeReadout():
    global index
    print "Frame = " + str(index)
    index=index+1
    #log("trigger " + index)
    caput("TESTIOC:TESTBO:MyBO","On")
    caput("TESTIOC:TESTBO:MyBO","Off")    


a= lscan((motor,inp), (sin,out,arr), (0,0), (4,40), 20, 0.1, before_read=BeforeReadout)